# Аннотированный список актуальных книг электронной библиотеки

## Операционные системы

### Современные операционные системы
**Авторы:** Эндрю Таненбаум, Херберт Бос

Первое издание книги было в 1980 году, и с тех пор было создано пять изданий. На русском сейчас доступно четвертое издание, пятое издание можно прочитать на английском языке. Книга может не подойти для новичков в IT, но пригодится тем, кто уже что-то знает и хочет узнать больше, либо же в качестве настольной книги.  
**Из рассматриваемых тем:** что такое операционные системы, их история возникновения, архитектура ОС, принципы работы и процессы, происходящие “внутри” ОС.  
[Ссылка на пятое издание (на английском языке)](https://djvu.online/file/K27bNVNWvbGwX)  

### Операционные системы: основы конфигурирования серверной информационной инфраструктуры
**Автор:** Газуль С. М. 

Учебное пособие делает упор на работе серверных ОС. Даны основные понятия, связанные с операционными системами, сделан обзор самых популярных ОС на данный момент, а также на примере Ubuntu Linux Server рассмотрены установка и настройка операционной системы. В пособии работы ведутся при помощи виртуальной машины (то есть также используется Oracle VM VirtualBox).  
[Ссылка](https://elibrary.ru/item.asp?id=45838230)  

### Операционные системы
**Автор:** Зверева О. М.  

В учебном пособии рассматривается история развития операционных сетей от первого поколения ЭВМ, классификация операционных систем, современные требования к ним, основные алгоритмы и процессы, происходящие внутри операционной системы, ее архитектура. Подойдет как для самостоятельного обучения с нуля, так и для увеличения объема знаний студента по теме.  
[Ссылка с аннотацией](https://elibrary.ru/item.asp?id=44492201)  
[Ссылка с файлом](https://elar.urfu.ru/bitstream/10995/94359/1/978-5-7996-3146-8_2020.pdf)  

## Архитектура ЭВМ

### Организация питания устройств в современном персональном компьютере
**Автор:** Сиволобов С. В.

В статье рассматривается конструкция современного компьютера и принципы организации питания его ключевых компонентов. На примере конкретной материнской платы обсуждаются аспекты, связанные с обеспечением питания процессора, чипсета, оперативной памяти, устройств расширения и других элементов оборудования.  
[Ссылка](https://elibrary.ru/item.asp?id=46708591)  

### Энергосберегающие технологии в разработке компьютеров
**Авторы:** Тойгулыева О., Шохрадова Дж.  

Статья посвящена технологиям энергосбережения в разработке компьютеров и их важности для современного общества. Рассматриваются ключевые методы уменьшения энергопотребления, такие как использование энергоэффективных процессоров, оптимизация архитектуры вычислительных систем и внедрение возобновляемых источников энергии. Анализируются преимущества энергосберегающих технологий для экологии и экономики, а также перспективы их дальнейшего развития.  
[Ссылка](https://cyberleninka.ru/article/n/energosberegayuschie-tehnologii-v-razrabotke-kompyuterov)  

### Организация и архитектура ЭВМ. Вычислительные системы: Учебное пособие для СПО
**Автор:** Журавлев А. Е.  

В учебном пособии представлены основные элементы общей теории и эволюции разработки компьютерной архитектуры, а также рассматриваются вопросы организации компьютерной структуры различных систем на аппаратном и техническом уровнях. Описаны принципы и методы управления ресурсами компонентов компьютера, а также варианты их реализации.  
[Ссылка](https://e.lanbook.com/book/341138)  

## Программирование

### Head First: Паттерны проектирования
**Авторы:** Эрик Фримен, Элизабет Робсон, Кэти Сьерра, Берт Бейтс  

В книге рассматриваются все паттерны, используемые в программировании. Примеры в книге написаны на Java, но теория подойдет для любого объектно-ориентированного языка. Не подойдет для тех, кто совсем ничего не знает про программирование.  
[Ссылка](https://djvu.online/file/fst3hXd58kYyC)  

### Алгоритмы
**Автор:** Дж. Эриксон  

В книге представлены ключевые аспекты алгоритмов: анализируются различные их типы, рассматриваются методы их разработки (такие как рекурсия и динамическое программирование) и приводятся практические примеры. Для успешного освоения материала требуется знание основ дискретной математики и методов доказательства, а также понимание основных вычислительных задач и алгоритмов, то есть не подойдет для изучения новичкам.  
[Ссылка](https://e.lanbook.com/book/348125)  

### Языки программирования и методы трансляции: Учебное пособие для вузов
**Автор:** Свердлов С. З. 

В книге обсуждаются сравнительный анализ языков программирования и создание компиляторов. Первая часть посвящена языкам высокого уровня и их эволюции, включая структурное, модульное и объектно-ориентированное программирование. Проводится сравнение языков по различным критериям и даются экспертные мнения. Вторая часть книги охватывает создание компиляторов, включая все элементы транслятора и этапы превращения языка от спецификации до машинного кода. Подойдет для расширения кругозора, а также поможет разобраться, для чего существует тот или иной язык программирования.  
[Ссылка](https://e.lanbook.com/book/447398)  

## Проектная деятельность

### Основы проектной деятельности: Учебное пособие для СПО
**Авторы:** Земсков Ю. П., Асмолова Е. В.  

Учебное пособие направлено на освоение методов проектной деятельности, развитие навыков познания окружающего мира и активного взаимодействия с ним. Приведены теоретические основы проектной деятельности, классификация проектов, этапы их разработки.  
[Ссылка](https://e.lanbook.com/book/454448)  

### Проектная деятельность как составляющая часть научно-исследовательской деятельности студентов в вузе
**Авторы:** Плотникова И.В., Редько Л.А., Шевелева Е.А., Ефремова О.Н.  

В статье обсуждается организация проектной деятельности в вузе, акцентируя внимание на разработке междисциплинарного образовательного модуля, который объединяет теоретические и практические навыки студентов в управлении техническими системами. Описывается методика проведения научно-исследовательской работы, способствующая формированию целостного представления о науке и развитию необходимых компетенций. Метод помогает студентам развивать исследовательские навыки и умение обрабатывать экспериментальные данные.  
[Ссылка](https://elibrary.ru/item.asp?id=45687511)  

### Проектная деятельность как фактор успешности студента
**Авторы:** Фокин С.А., Леонтьева Э.О.  

В статье рассматриваются преимущества, которые дает проектная деятельность студентам, что может побудить их самостоятельно заниматься этим.  
[Ссылка](https://www.elibrary.ru/item.asp?id=73212409)  

## Информационные технологии

### Информационные технологии и системы
**Авторы:** Шамьев Б., Халмырадова Я. Ч.  

В статье рассматривается понятие информационной системы, ее структура и функции в контексте информатики. Подчеркивается важность человеческого фактора в функционировании информационных систем, а также различие между компьютером и информационной системой.  
[Ссылка](https://cyberleninka.ru/article/n/informatsionnye-tehnologii-i-sistemy)  

### История информационных технологий
**Авторы:** Арашева О., Йолумов Г.  

В статье рассматривается эволюция информационных технологий от древних систем письменности и абакуса до современных вычислительных машин и искусственного интеллекта. XX век ознаменован появлением первых электронных компьютеров и интернета, что изменило способы коммуникации и доступа к информации.  
[Ссылка](https://cyberleninka.ru/article/n/istoriya-informatsionnyh-tehnologiy-1)  

### Информационные технологии. Базовый курс
**Авторы:** Костюк А.В., Бобонец С. А., Флегонтов А. В., Черных А. К.  

Учебное пособие охватывает теоретические основы информации и информационных технологий, а также аппаратные и программные средства, используемые в этой области. Рассматриваются технологии и методы обработки служебной документации и данных, работа с базами данных и информационными системами.  
[Ссылка](https://e.lanbook.com/book/180821)  

## Веб

### Разработка web-страниц на HTML, CSS и JavaScript: Учебное пособие для СПО
**Автор:** Янцев В. В.  

Издание предназначено для начинающих программистов и посвящено разработке веб-страниц. Описаны ключевые элементы HTML, основные свойства таблиц стилей CSS и методы управления объектами документа с помощью JavaScript.  
[Ссылка](https://e.lanbook.com/book/449585)  

### Геймификация в веб-разработке: привлечение пользователей с помощью игровых элементов
**Авторы:** Батейкина А.Л., Свищёв А.В.  

В статье рассматривается важность вовлечения пользователей для веб-проектов и объясняется, как геймификация может повысить уровень их активности.  
[Ссылка](https://elibrary.ru/item.asp?id=54961829)  

### Безопасность веб контента
**Автор:** Кобылко А. Э.  

В статье рассматриваются возможные проблемы безопасности веб-ресурсов, а также методы их предотвращения.  
[Ссылка](https://cyberleninka.ru/article/n/bezopasnost-veb-kontenta)  

## Вычислительная техника

### Аппаратные средства вычислительной техники, графические ускорители
**Автор:** Приходько А. П.  

В статье подробно рассматриваются характеристики видеокарт, используемые технологии. Полученные знания могут пригодиться как при разработке приложения, которое будет использовать графику, так и при сборке собственного рабочего места.  
[Ссылка](https://elibrary.ru/item.asp?id=43741701)  

### История возникновения и развития цифровых вычислительных машин (ЦВМ) и персональных компьютеров
**Автор:** Сулейманов Н. Т.  

Статья основана на книге Дж. С. Мэрфи “Как устроены и работают электронные цифровые машины”. В статье рассматриваются вычислительные машины прошлого, их внутреннее устройство и влияние на современную технику.  
[Ссылка](https://cyberleninka.ru/article/n/istoriya-vozniknoveniya-i-razvitiya-tsifrovyh-vychislitelnyh-mashin-tsvm-i-personalnyh-kompyuterov)  

### Вычислительная техника и информационные технологии: Учебное пособие для вузов
**Автор:** Тюрин И. В.  

В учебном пособии представлены основные сведения о средствах вычислительной техники и информационных технологий. Описаны состав, устройство и принципы работы типичных функциональных узлов цифровых устройств.  
[Ссылка](https://e.lanbook.com/book/359855)  

## Компьютерное моделирование

### Перспективы компьютерного моделирования решения творческих задач
**Автор:** Гаранин С. А.  

В статье анализируются ограничения компьютерного моделирования при решении творческих задач. Выделены ключевые этапы процесса решения, а также подчеркнуто значение воображения и ассоциативного опыта.  
[Ссылка](https://elibrary.ru/item.asp?id=54396188)  

### Компьютерное моделирование
**Автор:** Советков П. И.  

Учебник посвящен компьютерному моделированию. Охватываются математические и геометрические концепции с использованием PascalABC. Изучаются методы математического моделирования и приведено более 100 компьютерных программ.  
[Ссылка](https://e.lanbook.com/book/339761)  

### Компьютерное моделирование средствами языка программирования PYTHON
**Автор:** Хоменко Т. С.  

Учебное пособие и рабочая тетрадь полезны для студентов, желающих освежить знания перед курсом лекций в университете или проверить свои базовые знания.  
[Ссылки:](https://e.lanbook.com/book/402164) и [https://e.lanbook.com/book/402167](https://e.lanbook.com/book/402167)  

### Исследование программных сред 3D-моделирования
**Авторы:** Еговора И. Н., Гайдамащук А. В.  

В статье рассмотрены основные программы, доступные для 3D-моделирования, а также математические основы. Даны практические рекомендации.  
[Ссылка](https://cyberleninka.ru/article/n/issledovanie-programmnyh-sred-3d-modelirovaniya) 

## Компьютерная графика

### Компьютерная графика
**Авторы:** Воронина В. В., Шишкин В. В.  

Книга является путеводителем по миру цифровых изображений, освещает теоретические аспекты графической визуализации и предлагает практические задания. Рассматриваются GIMP, Inkscape, OpenGL, Blender, Unity и даже программирование на Python для работы с графикой.  
[Ссылка](https://e.lanbook.com/book/416204)  

### Компьютерная графика: Учебно-методическое пособие
**Авторы:** Аксёнова Н. А., Воруев А. В., Демиденко О. М.  

В книге раскрываются основы работы с графическими данными, принципы верстки печатной продукции, а также работа в Adobe Photoshop и CorelDRAW. Рассматривается работа с изображениями в интернете.  
[Ссылка](https://e.lanbook.com/book/329723)  

### Компьютерная графика. Модели и алгоритмы: Учебное пособие для вузов
**Автор:** Никулин Е. А.  

Учебник содержит обширный теоретический материал по компьютерной графике и моделированию. В нем приводятся алгоритмы и математические модели, используемые в этой области.  
[Ссылка](https://e.lanbook.com/book/394694)  

## Численные методы

### Численные методы и программирование
**Автор:** Слабнов В. Д.  

Книга объясняет основы численных методов, рассматривает интерполяцию, численное интегрирование, методы оптимизации и решения дифференциальных уравнений. Подчеркивается значимость программирования в численных методах.  
[Ссылка](https://e.lanbook.com/book/189402)  

### Численные методы. Курс лекций
**Автор:** Срочко В. А.  

Пособие представляет собой подробное изложение численных методов, с акцентом на практическое применение. Подходит для подготовки к экзаменам.  
[Ссылка](https://e.lanbook.com/book/210359)  

### Численные методы высшей математики в MS Excel: учебное пособие
**Авторы:** Ганичева А. В., Ганичев А. В.  

Книга посвящена применению численных методов в MS Excel, рассматривает анализ данных и решение математических задач с помощью электронных таблиц.  
[Ссылка](https://e.lanbook.com/book/352607) 

## Вычислительная математика

### Вычислительная математика: учебное пособие
**Авторы:** Ребро И. В., Мустафина Д. А., Матвеева Т. А. 

Учебное пособие предлагает комплексный подход к расчету и анализу данных. Книга содержит множество примеров и задач, что делает материал наглядным и интересным для изучения.  
[Ссылка](https://e.lanbook.com/book/441605)  

### Вычислительная математика в примерах и задачах
**Авторы:** Копченова Н. В., Марон И. А.  

Книга ориентирована на практическое применение вычислительных методов. Включает большое количество задач различной сложности, что идеально подходит для самостоятельной работы.  
[Ссылка](https://e.lanbook.com/book/171859)  

### Вычислительная математика: учебно-методическое пособие по выполнению лабораторных работ
**Авторы:** Голоскоков Д. П., Кабардов М. М.  

Пособие содержит теоретический материал и примеры решения вычислительных задач с использованием Maple и Mathematica. Подходит для изучения дисциплин «Численные методы» и «Вычислительная математика».  
[Ссылка](https://e.lanbook.com/book/279572)  

## Большие данные

### Большие данные. Big Data: Учебник для вузов
**Авторы:** Макшанов А. В., Журавлев А. Е., Тындыкарь Л. Н.  

Книга охватывает концепции, технологии и методы работы с большими данными. Примеры и задачи рассматриваются в интегрированном пакете Matlab.  
[Ссылка](https://e.lanbook.com/book/362318)  

### Большие данные: учебник
**Авторы:** Параскевов А. В., Сергеев А. Э.  

Учебник рассматривает обработку и анализ больших данных, применение нейронных сетей и перспективные направления в области Data Science.  
[Ссылка](https://e.lanbook.com/book/427811)  

### Введение в большие данные: учебное пособие
**Авторы:** Ланских Ю. В., Ланских В. Г., Родионов К. В.  

Книга объясняет сложные концепции работы с большими объемами данных простым языком, снабжена иллюстрациями и практическими примерами.  
[Ссылка](https://e.lanbook.com/book/408566) 

## Статистика

### Статистика без подвоха
**Авторы:** Буэно де Мескита, Фаулер Э.  

Книга объясняет статистические понятия простым и доступным языком. Подходит как для новичков, так и для студентов направления «Информатика и вычислительная техника». Каждая глава содержит теорию, практические задачи и ключевые термины.  
[Ссылка](https://e.lanbook.com/book/456656)  

### Теория вероятностей и математическая статистика: Учебное пособие для вузов
**Автор:** Иванов Б. Н.  

Учебное пособие охватывает широкий спектр тем в области теории вероятностей и статистики. В книге есть примеры, задачи и теоретический материал, что делает ее полезной для подготовки к экзаменам.  
[Ссылка](https://e.lanbook.com/book/393053)  

### Статистическая обработка данных в информационных системах: монография
**Авторы:** Тарасов И. Е., Потехин Д. С.  

Монография рассматривает современные методы и технологии обработки статистических данных в информационных системах. Включает примеры практического применения.  
[Ссылка](https://e.lanbook.com/book/398243)  

## Машинное обучение

### Технологии и инструментарий машинного обучения: Учебное пособие
**Авторы:** Митина О. А., Жаров В. В.  

Учебное пособие посвящено современным алгоритмам машинного обучения, включая классические и нейросетевые методы. Приведены примеры на TensorFlow и PyTorch.  
[Ссылка](https://e.lanbook.com/book/368633)  

### Инженерия машинного обучения
**Автор:** Бурков А.  

Книга подробно рассматривает архитектуру систем машинного обучения, включая передовые практики и паттерны проектирования. Подойдет для студентов и специалистов в области Data Science.  
[Ссылка](https://e.lanbook.com/book/314834)  

### Машинное обучение с участием человека
**Автор:** Монарх Р.  

Книга исследует взаимодействие человека и алгоритмов машинного обучения, затрагивает вопросы этики, контроля и влияния технологий на общество.  
[Ссылка](https://e.lanbook.com/book/241211)

## Сети и телекоммуникации

### Сети и телекоммуникации: учебное пособие по дисциплине «Сети и телекоммуникации»
**Авторы:** Лысиков А. А., Глушак Е. В., Захаров В. С.  

Книга охватывает основные аспекты проектирования и функционирования сетей и телекоммуникационных систем. Включает теоретические материалы, практические задания и реальные примеры, что делает ее полезной для студентов и специалистов.  
[Ссылка](https://e.lanbook.com/book/255491)  

### Сети ЭВМ и телекоммуникации. Архитектура и организация: учебное пособие
**Автор:** Гельбух С. С.  

Учебное пособие представляет собой основы архитектуры и организации компьютерных сетей. Рассматриваются ключевые понятия сетевой инфраструктуры, модели взаимодействия и вопросы интеграции различных систем.  
[Ссылка](https://e.lanbook.com/book/206585)  

### Сети и телекоммуникации: научное пособие
**Автор:** Муллабаев В. Н.  

Научное пособие анализирует технологии и методы телекоммуникационного взаимодействия, включая историю их развития и современные тренды. Охватывает как теоретические аспекты, так и практические вопросы построения надежных сетей.  
[Ссылка](https://e.lanbook.com/book/142302)  

## Базы данных

### Базы данных. Проектирование, программирование, управление и администрирование: Учебник для вузов
**Автор:** Волк В. К.  

Учебник охватывает методы проектирования структур данных, основы SQL-программирования, администрирование и оптимизацию баз данных. Включает примеры и практические упражнения.  
[Ссылка](https://e.lanbook.com/book/346439)  

### Базы данных: сборник задач с комментариями и примерами решений
**Авторы:** Волк В. К., Осеев В. Ю., Черепанов О. С.  

Сборник задач представляет собой практическое руководство по проектированию и управлению базами данных. Каждая задача сопровождается комментариями и примерами решений.  
[Ссылка](https://e.lanbook.com/book/450113)  

### Базы данных: Модели и структуры данных, язык SQL, программирование баз данных
**Автор:** Токмаков Г. П.  

Книга объясняет модели и структуры данных, работу с SQL и основы программирования баз данных. Рассматриваются триггеры, операторы SQL и работа с PostgreSQL.  
[Ссылка](https://e.lanbook.com/book/259706) 

## Защита информации

### Методы и средства защиты информации: Учебное пособие для вузов.
**Автор:** Краковский Ю. М.

Данное учебное пособие является обширным руководством по методам и средствам защиты информации, рассматривая как теоретическую, так и практическую часть. Автор уделяет внимание современным технологиям шифрования, системе управления доступом, а также правовым аспектам информационной безопасности. Особенности защиты информации рассматриваются не только со стороны Российской Федерации, но и со стороны других стран. Учебное пособие изобилует теоретическую частью, которая может быть полезной не только учащимся высших учебных заведений, но и работникам, непосредственно работающим с защитой информации.
[Ссылка](https://e.lanbook.com/book/385979)

### Информационная безопасность: Учебник.
**Автор:** Бондаренко И. С.

Учебник представляет собой исследование вопросов информационной безопасности, охватывающее ключевые концепции, угрозы и защищающие механизмы. В нем содержатся как теоретическая часть, так и вопросы для самоконтроля. Автор акцентирует внимание на актуальности защиты информации в современных организациях, предлагая методические рекомендации по созданию и внедрению эффективных систем информационной безопасности. Учебник, в отличие от предыдущей книги, более глубоко изучает вопросы защиты информации и предполагает некоторые знания в этой области. 
[Ссылка](https://e.lanbook.com/book/360344)

### Методы защиты информации. Шифрование данных: учебное пособие.
**Автор:** Никифоров С. Н.

В данном учебном пособии подробно рассматриваются методы шифрования данных, их классификация и применение в различных сферах защиты информации. Автор рассказывает об основных алгоритмах шифрования, их принципах действия и области использования, а также анализирует возможности повышения надежности защиты данных.  Практическая часть расписана доступным и понятным языком, имеет достаточное количество скриншотов для инструкций. Также в конце пособия имеется раздел “Как не стать жертвой интернет-мошенников”, что довольно полезно знать в современном мире.  
[Ссылка](https://e.lanbook.com/book/206285)
